﻿using System;
using System.Net;
using System.Net.Sockets;

namespace IPv6_DualStack {
    class Program {
        static void Main(string[] args) {
            var socket = new Socket(AddressFamily.InterNetworkV6, SocketType.Stream, ProtocolType.Tcp) { DualMode = true };
            socket.Bind(new IPEndPoint(IPAddress.IPv6Any, 8080));
            socket.Listen(10);

            Console.WriteLine("Waiting for connection...");
            Console.WriteLine();
            while (true) {
                Socket client = socket.Accept();
                Console.WriteLine("Connection from " + client.RemoteEndPoint.ToString());
                client.Shutdown(SocketShutdown.Both);
                client.Close();
            }
        }
    }
}
