﻿using System;
using System.Net;
using System.Net.Sockets;

namespace IPv6_DualStack {
    class Program {
        static void Main(string[] args) {
            var server = new TcpListener(IPAddress.IPv6Any, 8080);
            server.Server.DualMode = true;
            server.Start();

            Console.WriteLine("Waiting for connection...");
            Console.WriteLine();
            while (true) {
                var client = server.AcceptTcpClient();
                Console.WriteLine("Connection from " + client.Client.RemoteEndPoint.ToString());
                client.Close();
            }
        }
    }
}
