﻿using System;
using System.Net;
using System.Net.Sockets;
using System.Text;

namespace IPv6_DualStack {
    class Program {
        static void Main(string[] args) {
            var server = new UdpClient(8080, AddressFamily.InterNetworkV6);

            Console.WriteLine("Waiting for connection...");
            Console.WriteLine();
            while (true) {
                var ep = new IPEndPoint(IPAddress.Any, 0);
                var bytes = server.Receive(ref ep);
                string text = Encoding.UTF8.GetString(bytes);
                Console.WriteLine("Connection from " + ep.ToString() + " - " + text);
            }
        }
    }
}
