﻿using System;
using System.Net;
using System.Net.Sockets;

namespace IPv6_GetAddress {
    class Program {
        static void Main(string[] args) {
            var addresses = Dns.GetHostAddresses(Dns.GetHostName());
            foreach (var address in addresses) {
                if (address.AddressFamily == AddressFamily.InterNetwork) {
                    Console.WriteLine(address.MapToIPv6());
                } else {
                    Console.WriteLine(address);
                }
            }
            Console.ReadKey();
        }
    }
}
